curl --request DELETE \
--url https://api.tilta.io/v1/contacts/{external_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tilta.io/v1/contacts/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/contacts/{external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/contacts/{external_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"external_id": "<string>",
"buyer_external_id": "<string>",
"assign_to_all_invoices": true,
"created_at": 1582896122,
"updated_at": 1582896122,
"salutation": "MR",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "+491711010101",
"address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
}
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Delete a contact
Permanently delete a contact record. Deleted contacts stop receiving all automated Tilta email communications including invoices and reminders.
Authorizations
Your Tilta API key, sent as Bearer <key>.
Path Parameters
Unique identifier of a contact.
100^[a-zA-Z0-9-_]+$Response
Contact response payload.
Unique identifier of a contact.
100^[a-zA-Z0-9-_]+$External identifier of the buyer this contact belongs to.
100^[a-zA-Z0-9-_]+$Whether this contact should automatically be assigned to all invoices created for the buyer.
Timestamp indicating when the contact was created (unix time in seconds).
1582896122
Timestamp indicating the last time the contact was updated (unix time in seconds).
1582896122
Contact salutation.
MR, MS, OTHER Contact first name.
Contact last name.
Contact email.
Contact phone number in E.164 format (e.g. +491711010101).
"+491711010101"
Contact's address.
Show child attributes
Show child attributes